<?php
namespace net\xmp\phpbuch;
require './DatabaseConnection.php';
require './HTMLPage.php';

// Datenbankverbindung herstellen
$db = new DatabaseConnection();
$db->connect();
// Abbildung für Produkt abfragen
$query = 'SELECT ThumbNailPhoto FROM SalesLT.Product WHERE ProductID = ?';
$params = array( (int)$_GET['id'] );
$stmt = sqlsrv_query($db->handle, $query, $params);
if (!sqlsrv_fetch($stmt)) {
    $db->exitWithError('Abfrage der Abbildung fehlgeschlagen.');
}
// varbinary() wird als Stream retourniert und direkt ausgegeben
$stream = sqlsrv_get_field($stmt, 0);
header('Content-type: image/gif');
fpassthru($stream);
// Statement freigeben, Datenbank schließen
sqlsrv_free_stmt($stmt);
$db->close();
