/**
 * Liest mehrere Suchtreffer aus und listet sie in kurzer Form auf
 */
function listEntries($ad, $result, $class)
{
    $entries = ldap_get_entries($ad->handle, $result);
    if (!$entries) {
        $ad->exitWithError('Lesen der LDAP-Suchergebnisse fehlgeschlagen.');
    }
    $list = array();
    for($i=0; $i < $entries['count']; $i++) {
    
        $list[] = '<a href="browse_ldap.php?name=' . rawurlencode($entries[$i]['dn'])
                . '&amp;type=' . rawurlencode($class)
                . '&amp;getDN=1">' . htmlspecialchars($entries[$i]['dn']) . '</a>';
    }
    return $list;
}
