/**
 * Verlinkt einen einzelnen Attributwert
 */
function link($value, $link=false)
{
    $txt = htmlspecialchars($value);
    // Keine Angaben -> Klartext
    if ($link === false) {
        return $txt;
    }
    // Existiert Konvertierungsfunktion?
    elseif (function_exists('net\\xmp\\phpbuch\\'.$link)) {
        $func = 'net\\xmp\\phpbuch\\'.$link;
        return htmlspecialchars($func($value));
    }
    // Sonst handelt es sich um Objektklasse
    else {
        $getdn = '';
        if (substr($link, 0, 3) === 'DN-') {
            $link = substr($link, 3);
            $getdn = '&amp;getDN=1';
        }
        return "<a href='" . $this->url . '?name=' . rawurlencode($value)
               . "&amp;type=$link$getdn'>$txt</a>";
    }
}
