<?php
namespace net\xmp\phpbuch;

$rootDN = 'DC=xmp,DC=site';

/**
 * Definition der Suchen und Objektklassen
 */
$objectClasses = array(
    // ...
);

// Standardwerte setzen
foreach ($objectClasses as &$oc) {
    if (isset($oc['base'])) {   // Kopieren von anderer Definition
        foreach ($objectClasses[$oc['base']] as $name => $val) {
            if (!isset($oc[$name])) {
                $oc[$name] = $val;
            }
        }
    }
    if (!isset($oc['filterchars'])) {
        $oc['filterchars'] = "/[^-_ a-z0-9*.']/i";
    }
}

/**
 * Verlinken und Konvertieren von Attributen
 */
$attributeConvertion = array(
    // ...
);
?>
