$page = new HTMLPage('Ordner im Postfach');
$folderlist = $response->ResponseMessages->FindFolderResponseMessage->RootFolder->Folders->Folder;
$folders = array();
foreach ($folderlist as $folder) {
    $folders[$folder->FolderId->Id] = $folder;
}
$table = array( array('Name', 'Ordnerklasse', 'Elternordner', 'Elemente', 'Ungelesen') );
foreach ($folders as $folder) {
    $parentId = $folder->ParentFolderId->Id;
    $parent = isset($folders[$parentId]) ? $folders[$parentId]->DisplayName : 'unbekannt';
    $table[] = array($folder->DisplayName, $folder->FolderClass, $parent,
                     $folder->TotalCount, $folder->UnreadCount);
}
$page->addTable($table);
$page->printPage();
