<?php
namespace net\xmp\phpbuch;
require './HTMLPage.php';

$page = new HTMLPage('Suche nach Kontakten');
$page->addHTML('<form method="post" action="find-contact.php">');
$table = array( array('Feld', 'Eingabe') );
$table[] = array('Groß-/Kleinschreibung beachten',
                 '<input type="checkbox" name="case" value="1">');
$table[] = array('Suchmodus', '<select name="mode">
    <option value="exact">Exakt</option>
    <option value="prefix">Beginnt mit</option>
    <option value="substr">Enthält</option></select>');
$table[] = array('Stadt', '<input name="City" size="40">');
$table[] = array('Postleitzahl', '<input name="PostalCode" size="8">');
$table[] = array('Land', '<input name="CountryOrRegion" size="40">');
$table[] = array('Angelegt nach', '<input name="created" size="12">');
$table[] = array('Enthält nicht Feld', '<select name="field">
    <option value="-">-</option>
    <option value="assistant">Assistent</option>
    <option value="manager">Vorgesetzter</option>
    <option value="jobtitle">Position</option></select>');
$page->addTable($table, array(false, true));
$page->addHTML('<input type="submit" value="Suchen"/>');
$page->addHTML('</form>');
$page->printPage();
?>
