CREATE TABLE #testTable (number int); -- Temporäre Tabelle erzeugen
GO
BEGIN TRANSACTION;                  -- Start der ersten Transaktion
INSERT INTO #testTable VALUES (1);
BEGIN TRANSACTION T_Zwei;           -- Start der zweiten, verschachtelten Transaktion
INSERT INTO #testTable VALUES (2);
COMMIT TRANSACTION T_Zwei;          -- Transaktion T_Zwei abschließen, könnte aber immer noch durch
INSERT INTO #testTable VALUES (3);  -- ROLLBACK der ersten Transaktion rückgängig gemacht werden
SAVE TRANSACTION Sicherungspunkt;   -- Definieren eines Sicherungspunktes
INSERT INTO #testTable VALUES (4);
INSERT INTO #testTable VALUES (5);
ROLLBACK TRAN Sicherungspunkt;      -- bis zum Sicherungspunkt rückgängig machen
INSERT INTO #testTable VALUES (6);
COMMIT TRANSACTION;                 -- Abschließen der ersten Transaktion
BEGIN TRAN                          -- Start der dritten Transaktion
INSERT INTO #testTable VALUES (7);
ROLLBACK TRAN;                      -- Rückgängigmachen der dritten Transaktion
SELECT * FROM #testTable;           -- Gibt die Werte 1,2,3,6 aus
GO
DROP TABLE #testTable;
GO
