// Verbindung herstellen
$ad = new LDAPConnection();
$ad->connect('dc.xmp.site', 'arno@xmp.site', 'streng-geheim');
// Parameter filtern
if (!isset($objectClasses[$_GET['type']])) {
    $ad->exitWithError('Falscher Eintragstyp!');
}
$class = $objectClasses[$_GET['type']];
// Zwei unterschiedliche Sucharten: Objekt nach DN suchen ...
if (isset($_GET['getDN'])) {
    $result = ldap_read($ad->handle, $_GET['name'],
                        '(objectClass=*)',$class['attributes']);
}
// ... oder ausgehend von baseDN mit Filter suchen
else {
    $name = preg_replace($class['filterchars'], '', $_GET['name']);
    $filter = sprintf($class['filter'], $name);
    $result = ldap_search($ad->handle, $class['baseDN'],
                          $filter, $class['attributes']);
}
if (!$result) {
    $ad->exitWithError('LDAP-Suche fehlgeschlagen.');
}
