<?php
namespace net\xmp\phpbuch;

function modify($ad)
{
    $attr = array();
    $attr['objectClass'] = 'organizationalUnit';
    $attr['description'] = 'OU der Hamsterfreunde';
    $attr['c'] = 'AT';
    $attr['st'] = 'Steiermark';
    $dn = 'OU=Hamster,OU=Test-OU,DC=xmp,DC=site';

    $success = ldap_add($ad->handle, $dn, $attr);
    if (!$success) {
        $ad->exitWithError('Anlegen neuer OU fehlgeschlagen');
    }
    
    $before = array('dn' => $dn, 'count' => 0);
    $after = $ad->getOneEntry("(distinguishedName=$dn)");
    return array($before, $after);
}
?>
