<?php
namespace net\xmp\phpbuch;

function modify($ad)
{
    $attributes = array('name', 'ou', 'distinguishedName',
                        'whenChanged', 'objectGUID');
    $oldDN = 'OU=Verwandte,OU=Hamster,OU=Test-OU,DC=xmp,DC=site';
    $newRDN = 'OU=Verwandte und Bekannte';
    $newParentDN = 'OU=Freunde,OU=Hamster,OU=Test-OU,DC=xmp,DC=site';
    $before = $ad->getOneEntry('(ou=Verwandte)', $attributes);
    
    $success = ldap_rename($ad->handle, $oldDN, $newRDN, $newParentDN, true);
    if (!$success) {
        $ad->exitWithError('Umbenennen der OU fehlgeschlagen');
    }
    
    $after = $ad->getOneEntry("($newRDN)", $attributes);
    return array($before, $after);
}
?>
