<?php
namespace net\xmp\phpbuch;
require './autodiscover.php';

$response = autodiscover('autodiscover.phpdemo.site', 'JuliaA.Curtis@xmp.site',
                         'xmp\\julia', 'streng-geheim', './my-ca.cer');
$xml = new \SimpleXMLElement($response);
$xml->registerXPathNamespace(
      'ex', 'http://schemas.microsoft.com/exchange/autodiscover/outlook/responseschema/2006a');
$intern = $xml->xpath('//ex:Internal//ex:ASUrl');
$extern = $xml->xpath('//ex:External//ex:ASUrl');
echo "Interne EWS-URL: $intern[0]\n",
     "Externe EWS-URL: $extern[0]\n";
?>
