<?php
namespace net\xmp\phpbuch;
require './ExchangeSoapClient.php';
require './HTMLPage.php';

$options = array('trace' => true, 'CACert' => './my-ca.cer',
                 'login' => 'agnes', 'password' => 'streng-geheim');
$client = new ExchangeSoapClient("./Services.wsdl", $options);

$param = array('FolderShape' => array('BaseShape' => 'Default'),
               'FolderIds' => array(
                    'DistinguishedFolderId' => array(array('Id' => 'inbox'),
                                                     array('Id' => 'drafts'))));
try {
    $response = $client->GetFolder($param);
}
catch (\Exception $e) {
    echo '<h1>Exception</h1>', $e;
    var_dump($client->curl_info);
    exit;
}
$page = new HTMLPage('EWS-Test');
$page->addElement('h1', 'Anforderung');
$page->addElement('h2', 'Daten');
$page->addElement('p', $client->__getLastRequest());
$page->addElement('h2', 'Header');
$page->addElement('pre', $client->__getLastRequestHeaders());
$page->addElement('h1', 'Antwort');
$page->addElement('h2', 'Daten');
$page->addElement('p', $client->__getLastResponse());
$page->addElement('h2', 'Header');
$page->addElement('pre', $client->__getLastResponseHeaders());
$page->addElement('h1', 'Erzeugtes Antwortobjekt');
$page->addElement('pre', print_r($response, true));
$page->printPage();
?>
